Developers
API ReferenceBoard Type

Updates the BoardType resource

PATCH
/project/board-types/{id}

Updates the BoardType resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

BoardType identifier

Request Body

The updated BoardType resource

  1. body
name?string
Lengthlength <= 100
decorator?string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"

Response Body

BoardType resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
decorator?string
Value in"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/board-types/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decorator": "#78909c"}